// @brand-primary:       #eaaf1b;
// @brand-primary:          @backbase-brown;

// @text-color:             @backbase-brown;

@btn-font-weight:       500;

@btn-default-color:      @text-color;
@btn-default-bg:         transparent;
@btn-default-border:     #b3b1ae;

@btn-primary-color:      #fff;
@btn-primary-bg:         @brand-primary;
@btn-primary-border:     @btn-primary-bg;

@border-radius-base:     0;
@border-radius-large:    0;
@border-radius-small:    0;


@font-family-sans-serif:  Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif;
@font-family-base:        @font-family-sans-serif;

@font-size-base:          14px;
@font-size-large:         ceil((@font-size-base * 1.28));   // 18px
@font-size-small:         ceil((@font-size-base * 0.8));    // 12px

@font-size-h1:            floor((@font-size-base * 2.6));   // 36px
@font-size-h2:            floor((@font-size-base * 2.15));  // 30px
@font-size-h3:            ceil((@font-size-base * 1.7));    // 24px
@font-size-h4:            ceil((@font-size-base * 1.28));   // 18px
@font-size-h5:            @font-size-base;
@font-size-h6:            ceil((@font-size-base * 0.8));    // 12px


@jumbotron-padding:              100px;
@jumbotron-color:                #fff;
@jumbotron-bg:                   transparent;
@jumbotron-heading-color:        #fff;
@jumbotron-font-size:            floor((@font-size-base * 1.15));


// Basics of a navbar
@navbar-height:                    70px;
@navbar-margin-bottom:             0px;
@navbar-padding-vertical:          ((@navbar-height - @line-height-computed) / 2);
@navbar-collapse-max-height:       340px;

@navbar-default-color:             #fff;
@navbar-default-bg:                #423c35;
@navbar-default-border:            transparent;

// Navbar links
@navbar-default-link-color:                @navbar-default-color;
@navbar-default-link-hover-color:          @navbar-default-color;
@navbar-default-link-hover-bg:             #49433c;
@navbar-default-link-active-color:         @navbar-default-color;
@navbar-default-link-active-bg:            #49433c;
@navbar-default-link-disabled-color:       #ccc;
@navbar-default-link-disabled-bg:          transparent;

// Navbar brand label
@navbar-default-brand-color:               @navbar-default-link-color;
@navbar-default-brand-hover-color:         darken(@navbar-default-brand-color, 10%);
@navbar-default-brand-hover-bg:            transparent;

// Navbar toggle
@navbar-default-toggle-hover-bg:           #ddd;
@navbar-default-toggle-icon-bar-bg:        #888;
@navbar-default-toggle-border-color:       #ddd;


// Inverted navbar
// Reset inverted navbar basics
@navbar-inverse-color:                      darken(#9f9b96,20%);
@navbar-inverse-bg:                         #fff;
@navbar-inverse-border:                     @gray-lighter;

// Inverted navbar links
@navbar-inverse-link-color:                 @navbar-inverse-color;
@navbar-inverse-link-hover-color:           @gray-dark;
@navbar-inverse-link-hover-bg:              transparent;
@navbar-inverse-link-active-color:          @navbar-inverse-color;
@navbar-inverse-link-active-bg:             @gray-lighter;
@navbar-inverse-link-disabled-color:        #444;
@navbar-inverse-link-disabled-bg:           transparent;

// Inverted navbar brand label
@navbar-inverse-brand-color:                @navbar-inverse-link-color;
@navbar-inverse-brand-hover-color:          #fff;
@navbar-inverse-brand-hover-bg:             transparent;

// Inverted navbar toggle
@navbar-inverse-toggle-hover-bg:            transparent;
@navbar-inverse-toggle-icon-bar-bg:         @navbar-inverse-color;
@navbar-inverse-toggle-border-color:        @navbar-inverse-color;

// Tabs
@nav-tabs-border-color:                     transparent;
@nav-tabs-link-hover-border-color:          transparent;
@nav-tabs-active-link-hover-bg:             @body-bg;
@nav-tabs-active-link-hover-color:          @gray;
@nav-tabs-active-link-hover-border-color:   #ddd;
@nav-tabs-justified-link-border-color:      #ddd;
@nav-tabs-justified-active-link-border-color:@body-bg;

// Thumbnals
@thumbnail-padding:                         5px;
@thumbnail-border:                          transparent;
@thumbnail-border-radius:                   @border-radius-base;
@thumbnail-caption-color:                   @text-color;
@thumbnail-caption-padding:                 10px;


@panel-default-text:                        @text-color;
@nav-link-padding:                          10px 25px;
@headings-font-weight:                      400;
@grid-gutter-width:                         40px;

// Z-index Section
@zindex-navbar:            1041;
@zindex-dropdown:          1000;
@zindex-popover:           1060;
@zindex-tooltip:           1070;
@zindex-navbar-fixed:      1041;
@zindex-modal:             1040;

// Forms
@input-bg:                                   #F5F3F2;
@input-border:                               #ccc;
@input-border-focus:                         #ccc;
@dropdown-link-active-color:                 #FFF;
